com.thinkaurelius.titan.util.datastructures

## Class ImmutableIntSet

- java.lang.Object
- - com.thinkaurelius.titan.util.datastructures.ImmutableIntSet

- All Implemented Interfaces:
    IntSet

      public class ImmutableIntSet
      extends Object
      implements IntSet

  Immutable set of integers
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImmutableIntSet(int value)`
    `ImmutableIntSet(int[] values)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(int value)`
    `boolean` | `addAll(int[] values)`
    `boolean` | `contains(int value)`
    `boolean` | `equals(Object other)`
    `int[]` | `getAll()`
    `int` | `hashCode()`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImmutableIntSet

          public ImmutableIntSet(int[] values)

    - #### ImmutableIntSet

          public ImmutableIntSet(int value)

  - ### Method Detail

    - #### add

          public boolean add(int value)

      Specified by:
        `add` in interface `IntSet`

    - #### addAll

          public boolean addAll(int[] values)

      Specified by:
        `addAll` in interface `IntSet`

    - #### contains

          public boolean contains(int value)

      Specified by:
        `contains` in interface `IntSet`

    - #### getAll

          public int[] getAll()

      Specified by:
        `getAll` in interface `IntSet`

    - #### size

          public int size()

      Specified by:
        `size` in interface `IntSet`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

Copyright © 2012–2014. All rights reserved.